[Rainmeter]
Author=ZerOverdriver
Update=100

@include="#SKINSPATH#ZerOverdriver_PRESENTS\Variables.ini"

[Variables]

Drive=C

[Meter_Fon]
Meter=Image
SolidColor=0,0,0,1
X=0
Y=0
W=200
H=200

;===============================================

[MeasureRing]
Measure=Calc
FOrmula=360

[MeasureTime]
Measure=Calc
Formula=MeasureTime1 * 10

[MeasureTime1]
Measure=Time
AverageSize=10

[Measure_Disk_Used]
Measure=FreeDiskSpace
Drive=#Drive#:
InvertMeasure=1
UpdateDivider=10

[Measure_Disk_Free]
Measure=FreeDiskSpace
Drive=#Drive#:
UpdateDivider=10

[Measure_Disk_Size]
Measure=FreeDiskSpace
Drive=#Drive#:
Total=1
UpdateDivider=3600

[Measure_Disk_Access]
Measure=Plugin
Plugin=PerfMon.dll
PerfMonObject=LogicalDisk
PerfMonCounter="Disk Bytes/sec"
PerfMonInstance=#Drive#:
UpdateDivider=2

;=========================================================================


[Meter_star1]
MeasureName=MeasureTime
Meter=ROTATOR
X=0
Y=0
W=200
H=200
ImageName=star1.png
StartAngle=6.2832
RotationAngle=-6.2832
ValueReminder=200
OffsetX=100
OffsetY=100
ImageAlpha=100

[Meter_star2]
MeasureName=MeasureTime
Meter=ROTATOR
X=10
Y=10
W=180
H=180
ImageName=star2.png
StartAngle=6.2832
RotationAngle=6.2832
ValueReminder=100
OffsetX=100
OffsetY=100
ImageAlpha=100

;------------------------------------------

[Meter_Fon_label]
Meter=Image
ImageName=Fdisk.png
X=75
Y=75
W=50
H=50
LeftMouseUpAction=!Execute ["#Drive#:\"][PLAY #SKINSPATH#ZerOverdriver_PRESENTS\Captain_Alien\o0.WAV]
MouseOverAction=!Execute [!RainmeterShowMeterGroup infD][!RainmeterRedraw][PLAY #SKINSPATH#ZerOverdriver_PRESENTS\Captain_Alien\snd\s0.WAV]
MouseLeaveAction=!Execute [!RainmeterHideMeterGroup infD][!RainmeterRedraw]

[Meter_DiskLabel]
Meter=STRING
X=100
Y=78
FontFace=DS Dots
FontSize=28
FontColor=0,0,0,250
StringStyle=NORMAL
StringEffect=BORDER
FontEffectColor=0,10,51,100
StringAlign=Center
Text="#Drive#"
Antialias=1

[Meter_pGdisk]
Meter=Image
ImageName=pGdisk.png
X=48
Y=80
W=104
H=100
ImageAlpha=100

[Meter_pGdisk1]
Meter=Image
SolidColor=0,0,0,1
X=48
Y=130
W=104
H=50
ToolTipType=1
ToolTipText="Click for Open\Close info"
LeftMouseUpAction=!Execute [!RainmeterShowMeterGroup infD][!RainmeterShowMeter Meter_pGdisk2][!RainmeterRedraw][PLAY #SKINSPATH#ZerOverdriver_PRESENTS\Captain_Alien\sEnd.WAV]

[Meter_pGdisk2]
Meter=Image
SolidColor=0,0,0,1
X=48
Y=130
W=104
H=50
Hidden=1
LeftMouseUpAction=!Execute [!RainmeterHideMeterGroup infD][!RainmeterHideMeter Meter_pGdisk2][!RainmeterRedraw][PLAY #SKINSPATH#ZerOverdriver_PRESENTS\Captain_Alien\o0.WAV]

;-----   graph load disk   ----------------------


[Graph_dAccess_l]
Meter=LINE
MeasureName=Measure_Disk_Access
x=70
y=130
W=30
H=50
LineColor=102,126,178,220
LineWidth=1
LineCount=1
AntiAlias=1 
AutoScale=1
GraphOrientation=Horizontal
Flip=1
UpdateDivider=5

[Hist_dAccess_l]
Meter=HISTOGRAM
MeasureName=Measure_Disk_Access
x=r
y=r
W=30
H=50
PrimaryColor=0,0,51,140
AntiAlias=1 
AutoScale=1
GraphOrientation=Horizontal
Flip=1
UpdateDivider=5

;------------------------------

[Graph_dAccess_r]
Meter=LINE
MeasureName=Measure_Disk_Access
x=100
y=r
W=30
H=50
LineColor=102,126,178,220
LineWidth=1
LineCount=1
AntiAlias=1 
AutoScale=1
GraphOrientation=Horizontal
GraphStart=LEFT
Flip=1
UpdateDivider=5

[Hist_dAccess_r]
Meter=HISTOGRAM
MeasureName=Measure_Disk_Access
x=r
y=r
W=30
H=50
PrimaryColor=0,0,51,140
AntiAlias=1 
AutoScale=1
GraphOrientation=Horizontal
GraphStart=LEFT
Flip=1
UpdateDivider=5

;------------------------------------------------

[Meter_pBarG]
Meter=ROUNDLINE
MeasureName=MeasureRing
x=100
y=100
LineWidth=5.0
LineLength=40
LineStart=26
StartAngle=2.475
RotationAngle=4.5
AntiAlias=1
LineColor=0,0,10,140
Solid=1

[Meter_pBarB]
Meter=ROUNDLINE
MeasureName=MeasureRing
x=100
y=100
LineWidth=5.0
LineLength=39
LineStart=27
StartAngle=2.475
RotationAngle=4.5
AntiAlias=1
LineColor=0,10,102,200
Solid=1

[Roundbar_Free]
Meter=ROUNDLINE
MeasureName=MeasureRing
x=100
y=100
LineWidth=5.0
LineLength=36
LineStart=30
StartAngle=2.475
RotationAngle=4.5
AntiAlias=1
LineColor=10,51,102,220
Solid=1

[Roundbar_Used]
Meter=ROUNDLINE
MeasureName=Measure_Disk_Used
x=100
y=100
LineWidth=5.0
LineLength=36
LineStart=30
StartAngle=2.475
RotationAngle=4.5
AntiAlias=1
LineColor=51,154,255,220
Solid=1
Percentual=1

;===============================-------------------

[Text_disk_Total]
Meter=STRING
MeasureName=Measure_Disk_Size
X=220
Y=60
W=200
H=20
MeterStyle=style1
Text="Total- %1b"
AutoScale=1
Group=infD
Hidden=1

[Text_disk_Used]
Meter=STRING
MeasureName=Measure_Disk_Used
X=r
Y=R
W=200
H=20
MeterStyle=style1
Text="Used- %1b"
AutoScale=1
Group=infD
Hidden=1

[Text_disk_Free]
Meter=STRING
MeasureName=Measure_Disk_Free
X=r
Y=R
W=200
H=20
MeterStyle=style1
Text="Free- %1b"
AutoScale=1
Group=infD
Hidden=1


[Text0_disk_Access]
Meter=STRING
X=r
Y=14R
W=200
H=20
MeterStyle=style1
Text="Access:"
Group=infD
Hidden=1

[Text_disk_Access]
Meter=STRING
MeasureName=Measure_Disk_Access
X=r
Y=R
W=200
H=20
MeterStyle=style1
Text="%1 b\s"
AutoScale=1
AverageSize=10
UpdateDivider=10
Group=infD
Hidden=1













